Bug 19497 - Missing html and pm files from a binary package
Missing html and pm files from a binary package
Product: Red Hat Powertools
Classification: Retired
Component: bugzilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
David Lawrence
: 41634 42172 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-10-20 22:04 EDT by Kazushi Marukawa
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-14 00:27:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kazushi Marukawa 2000-10-20 22:04:23 EDT
I found that I couldn't use bugzilla by installing only bugzilla-2.10-
8.noarch.rpm since there are a lot of missing files from original bugzilla-
2.10.  For example, there is no index.html and other html files.  
Moreover, there is no RelationSet.pm file.

So, I need to install them from tarball of bugzilla original source.

Could you update bugzilla-2.10-8.noarch.rpm to put all those extra files?  
Or if we need not only bugzilla package but also other packages, please 
mention so in the README file or somewhere?

Comment 1 j. alan eldridge 2001-03-14 00:24:30 EST
ok, i got bit, too. it's just spec file change. [grumble...]

here's the patch:

--- bugzilla.spec.or	Tue Mar 13 23:48:45 2001
+++ bugzilla.spec	Wed Mar 14 00:04:17 2001
@@ -1,7 +1,7 @@
 Summary       : A bug tracking system developed by mozilla.org.
 Name          : bugzilla
 Version       : 2.10
-Release       : 8
+Release       : 9
 Copyright     : MPL
 Group         : Development/Tools
 Source        : http://ftp.mozilla.org/pub/webtools/bugzilla-LATEST.tar.gz
@@ -32,8 +32,12 @@
 mkdir -p $RPM_BUILD_ROOT/%{prefix}/data
 mkdir -p $RPM_BUILD_ROOT/%{prefix}/shadow
+install *.jpg $RPM_BUILD_ROOT/%{prefix}
+install *.gif $RPM_BUILD_ROOT/%{prefix}
 install *.cgi $RPM_BUILD_ROOT/%{prefix}
 install *.pl $RPM_BUILD_ROOT/%{prefix}
+install *.pm $RPM_BUILD_ROOT/%{prefix}
+install *.html $RPM_BUILD_ROOT/%{prefix}
 install processmail $RPM_BUILD_ROOT/%{prefix}
 chmod 1777 $RPM_BUILD_ROOT/%{prefix}/shadow
 chmod 1777 $RPM_BUILD_ROOT/%{prefix}/data
@@ -51,6 +55,10 @@
 %doc README 
+* Wed Mar 14 2001 Alan Eldridge <alane@geeksrus.net>
+- install html, gif, jpg files
+- install missing RelationSet.pm
 * Mon Aug 14 2000 Tim Powers <timp@redhat.com>
 - fixed bug #16147, dependancy problems.
 - patched all the files which looked for perl in /usr/bonsaitools/bin

Please note that a lot of other textual things need to be changed as well.
I'll submit a second patch for that.
Comment 2 j. alan eldridge 2001-03-14 00:27:52 EST
ok, the remaining things need to be changed in defparam.pl, and that's gotta
happen at install time, not build time. a reminder to edit the file in the %post
section really should be enough.

Comment 3 Tim Powers 2001-04-30 14:28:44 EDT
I have added the suggested changes to the installation procedure, but I can't
add text output in the %post section, it's against our policy (FYI text output
from packages is a bad thing).

Comment 4 Tim Powers 2001-05-21 14:05:32 EDT
*** Bug 41634 has been marked as a duplicate of this bug. ***
Comment 5 Tim Powers 2001-05-24 13:20:49 EDT
*** Bug 42172 has been marked as a duplicate of this bug. ***
Comment 6 Tim Powers 2001-05-24 14:13:05 EDT
Unltil rawhide is updated, you can get the fixed bugzilla packages here:




Comment 7 Toralf 2001-06-19 09:06:28 EDT
Looks like this package isn't quite right, either;

rpm -Uvh bugzilla-2.12-2.noarch.rpm
error: failed dependencies:
	/usr/bonsaitools/bin/perl   is needed by bugzilla-2.12-2

It's quite easy to get around this, of course, but still...

Note You need to log in before you can comment on or make changes to this bug.